import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
	name: 'parseStatus',
	pure: true
})
export class ParseStatus implements PipeTransform {
	transform(value: any, ...args: any[]) {
		return this.parseStatus(value);
	}


	parseStatus(status: number): string {
		return status != 0 ? 'DATASET-PROFILE-STATUS.FINALIZED' : 'DATASET-PROFILE-STATUS.DRAFT';
	}
}
